#
# spec file for package mozillavpn_2.14.0
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _srcdir .
%{!?_version: %define _version %(cat %{_srcdir}/version.pri | grep :VERSION | awk '{print $NF}')}
Name:           mozillavpn
Version:        2.14.0
Release:        0
Summary:        Mozilla VPN
License:        MPL-2.0
URL:            https://vpn.mozilla.org
Source0:        mozillavpn_2.14.0.orig.tar.gz
BuildRequires:  cargo
BuildRequires:  golang >= 1.18
BuildRequires:  libopenssl-devel
BuildRequires:  libsecret-devel
BuildRequires:  polkit-devel
BuildRequires:  python3 >= 3.6
BuildRequires:  python3-PyYAML
BuildRequires:  python3-lxml
BuildRequires:  qt6-base-common-devel >= 6.0
BuildRequires:  qt6-base-devel >= 6.0
BuildRequires:  qt6-declarative-devel >= 6.0
BuildRequires:  qt6-networkauth-devel >= 6.0
BuildRequires:  qt6-qt5compat-devel >= 6.0
BuildRequires:  qt6-sql-mysql >= 6.0
BuildRequires:  qt6-sql-postgresql >= 6.0
BuildRequires:  qt6-sql-unixODBC >= 6.0
BuildRequires:  qt6-svg-devel >= 6.0
BuildRequires:  qt6-tools-devel >= 6.0
BuildRequires:  qt6-tools-linguist >= 6.0
BuildRequires:  qt6-websockets-devel >= 6.0
BuildRequires:  systemd
BuildRequires:  systemd-rpm-macros
Requires:       libQt6Core5Compat6 >= 6.0
Requires:       libQt6Core6 >= 6.0
Requires:       libQt6NetworkAuth6 >= 6.0
Requires:       libQt6QuickControls2-6 >= 6.0
Requires:       libQt6Svg6 >= 6.0
Requires:       qt6-qt5compat-imports >= 6.0
Requires:       wireguard-tools

%description
A fast, secure and easy to use VPN. Built by the makers of Firefox.
Read more on https://vpn.mozilla.org

Mozilla officially only supports Ubuntu as a Linux distribution.

%prep
%autosetup -p1
%undefine _lto_cflags

%build
%cmake -DWEBEXT_INSTALL_LIBDIR:PATH=%{_libdir} -DCMAKE_INSTALL_SYSCONFDIR:PATH=%{_sysconfdir} -DCMAKE_INSTALL_DATADIR:PATH=%{_datadir} -DBUILD_TESTING=OFF
%cmake_build

%install
%cmake_install

%files
%license LICENSE.md
%{_sysconfdir}/chromium/native-messaging-hosts/mozillavpn.json
%{_sysconfdir}/opt/chrome/native-messaging-hosts/mozillavpn.json
%{_sysconfdir}/xdg/autostart/mozillavpn-startup.desktop
%{_unitdir}/mozillavpn.service
%{_bindir}/mozillavpn
%{_libdir}/mozillavpn/mozillavpnnp
%{_libdir}/mozilla/native-messaging-hosts/mozillavpn.json
%{_datadir}/applications/mozillavpn.desktop
%{_datadir}/dbus-1/system-services/org.mozilla.vpn.dbus.service
%{_datadir}/dbus-1/system.d/org.mozilla.vpn.conf
%{_datadir}/icons/hicolor/128x128/apps/mozillavpn.png
%{_datadir}/icons/hicolor/16x16/apps/mozillavpn.png
%{_datadir}/icons/hicolor/32x32/apps/mozillavpn.png
%{_datadir}/icons/hicolor/48x48/apps/mozillavpn.png
%{_datadir}/icons/hicolor/64x64/apps/mozillavpn.png
%{_datadir}/polkit-1/actions/org.mozilla.vpn.policy

%changelog
